import 'package:password_strength_verificator/password_strength_verificator.dart';

void main(List<String> args) async {
  final verificator = PasswordStrengthVerificator(8);
  final tiny = await verificator('abcd');
  final veryWeek = await verificator('abcdefgh');
  final week = await verificator('abcdEFGH');
  final good = await verificator('abcdABC1');
  final strong = await verificator('aaBB11@@');

  final strong2 = await verificator('aaBB@@!!');

  print([
    tiny,
    week,
    strong,
    veryWeek,
    week,
    good,
    strong2
  ]); // [PasswordStrength.tiny, PasswordStrength.week, PasswordStrength.strong, PasswordStrength.veryWeek, PasswordStrength.week, PasswordStrength.good]
}
