import 'package:password_strength_verificator/password_strength_verificator.dart';
import 'package:test/test.dart';

void main() async {
  group('Verificator test', () {
    final verificator = PasswordStrengthVerificator(8);

    setUp(() {
      // Additional setup goes here.
    });

    test('Tiny Test', () async {
      final tiny = await verificator('abcd');
      expect(tiny, PasswordStrength.tiny);
    });

    test('Very Week Test', () async {
      final veryWeek = await verificator('abcdefgh');
      expect(veryWeek, PasswordStrength.veryWeek);
    });

    test('Week Test', () async {
      final veryWeek = await verificator('abcdABCD');
      expect(veryWeek, PasswordStrength.week);
    });

    test('Good Test', () async {
      final veryWeek = await verificator('abcdABC1');
      expect(veryWeek, PasswordStrength.good);
    });
  });
}
